=== modified file 'Makefile'
--- Makefile	2008-12-28 10:20:47 +0000
+++ Makefile	2009-01-06 02:42:53 +0000
@@ -15,7 +15,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.2
+version=1.0.3
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2008-10-17 18:56:25 +0000
+++ NEWS	2009-01-06 02:42:53 +0000
@@ -1,6 +1,18 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
+Version 1.0.3 (2009-01-06)
+* Server
+** Now tries to change to user and group "_mandos" before falling back
+   to trying the old values "mandos", "nobody:nogroup", and "65534".
+** Now does not abort on startup even if no clients are defined in
+   clients.conf.
+
+* Client
+** Plugins named "*.dpkg-bak" are now ignored.
+** Hopefully fixed compilation failure on some architectures where the
+   C compiler does not recognize the "-z" option as a linker option.
+
 Version 1.0.2 (2008-10-17)
 * mandos-keygen now signs the encrypted key blobs.  This signature is
   not currently verified by mandos-client, but this may change in the

=== modified file 'debian/changelog'
--- debian/changelog	2008-10-17 18:56:25 +0000
+++ debian/changelog	2009-01-06 22:43:19 +0000
@@ -1,3 +1,26 @@
+mandos (1.0.3-2) unstable; urgency=low
+
+  * Removed some now-unused debconf files.
+  * Changed postinst scripts to not source debconf/confmodule.
+  * Removed po-debconf from build-depends.
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 21:28:20 +0100
+
+mandos (1.0.3-1) unstable; urgency=low
+
+  * New upstream release.
+  * Add -Xlinker to linker flags to fix FTBFS for some architectures.
+    Thanks to Thiemo Seufer <ths@networkno.de> for the report and
+    fix. (Closes:  #509398)
+  * Remove debconf use altogether, thereby stopping debconf abuse.  Thanks
+    to Christian Perrier <bubulle@debian.org>. (Closes:  #509653)
+  * Add NEWS file to /usr/share/doc directories.
+  * Use and create "_mandos" user+group.  Rename old user+group created by
+    older versions of this package.
+  * Fix manual pages by adding build-depend on "docbook-xml".
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 01:21:20 +0100
+
 mandos (1.0.2-1) unstable; urgency=low
 
   * New upstream release.

=== modified file 'debian/control'
--- debian/control	2009-01-04 21:20:50 +0000
+++ debian/control	2009-01-06 20:39:35 +0000
@@ -6,7 +6,7 @@
 	   Björn Påhlsson <belorn@fukt.bsnet.se>
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
-	po-debconf, pkg-config
+	pkg-config
 Standards-Version: 3.8.0
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files

=== removed file 'debian/mandos-client.config'
--- debian/mandos-client.config	2008-09-21 04:22:50 +0000
+++ debian/mandos-client.config	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-#! /bin/sh
-#
-# config	Mandos Debconf configuration.
-#
-
-# Source debconf library.
-. /usr/share/debconf/confmodule
-if ! db_version 2.0; then
-    echo "mandos.config: need DebConf 2.0 or later"
-    exit 1
-fi
-
-set -e
-umask 022
-
-# Now, interaction.  Batch it in case any front ends can use this.
-db_beginblock
-
-# If this is a first time install then prompt 
-if [ "$1" = "configure" -a "$2" != "" ]; then
-	db_input high mandos-client/not-yet-configured || true
-fi
-
-db_endblock
-db_go || true
-
-exit 0

=== modified file 'debian/mandos-client.postinst'
--- debian/mandos-client.postinst	2008-12-10 01:26:02 +0000
+++ debian/mandos-client.postinst	2009-01-06 05:08:37 +0000
@@ -15,8 +15,6 @@
 # If prerm fails during replacement due to conflict:
 #       <postinst> abort-remove in-favour <new-package> <version>
 
-. /usr/share/debconf/confmodule
-
 # Update the initial RAM file system image
 update_initramfs()
 {

=== removed file 'debian/mandos-client.templates'
--- debian/mandos-client.templates	2008-09-21 04:22:50 +0000
+++ debian/mandos-client.templates	1970-01-01 00:00:00 +0000
@@ -1,8 +0,0 @@
-Template: mandos-client/not-yet-configured
-Type: note
-_Description: Your system needs more configuration[ mandos-client]
- Your system can not function as a Mandos client until a
- password for this client has been added to the
- configuration on the Mandos server.  Please read
- /usr/share/doc/mandos-client/README.Debian.gz to find out
- how.

=== modified file 'debian/mandos.README.Debian'
--- debian/mandos.README.Debian	2008-09-21 04:22:50 +0000
+++ debian/mandos.README.Debian	2009-01-04 22:15:01 +0000
@@ -1,7 +1,7 @@
-The Mandos server cannot run without at least one configured client in
+The Mandos server is useless without at least one configured client in
 /etc/mandos/clients.conf.  To create one, install the "mandos-client"
 package on a client computer, and run "mandos-keygen --password" there
 to get a config file stanza.  Append that to /etc/mandos/clients.conf
 on the Mandos server.
 
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sat, 20 Sep 2008 21:21:19 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Sun,  4 Jan 2009 22:59:22 +0100

=== removed file 'debian/mandos.config'
--- debian/mandos.config	2008-09-21 04:22:50 +0000
+++ debian/mandos.config	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-#! /bin/sh
-#
-# config	Mandos Debconf configuration.
-#
-
-# Source debconf library.
-. /usr/share/debconf/confmodule
-if ! db_version 2.0; then
-    echo "mandos.config: need DebConf 2.0 or later"
-    exit 1
-fi
-
-set -e
-umask 022
-
-# Now, interaction.  Batch it in case any front ends can use this.
-db_beginblock
-
-# If this is a first time install then prompt 
-if [ "$1" = "configure" -a "$2" != "" ]; then
-	db_input high mandos/not-yet-configured || true
-fi
-
-db_endblock
-db_go || true
-
-exit 0

=== modified file 'debian/mandos.postinst'
--- debian/mandos.postinst	2008-12-10 01:26:02 +0000
+++ debian/mandos.postinst	2009-01-06 05:08:37 +0000
@@ -15,8 +15,6 @@
 # If prerm fails during replacement due to conflict:
 #       <postinst> abort-remove in-favour <new-package> <version>
 
-. /usr/share/debconf/confmodule
-
 case "$1" in
     configure)
 	# Rename old "mandos" user and group

=== removed file 'debian/mandos.templates'
--- debian/mandos.templates	2008-09-21 04:22:50 +0000
+++ debian/mandos.templates	1970-01-01 00:00:00 +0000
@@ -1,9 +0,0 @@
-Template: mandos/not-yet-configured
-Type: note
-_Description: Your system needs more configuration[ mandos]
- Your system has not yet been completely configured as a
- Mandos server - clients need to be added to to
- /etc/mandos/clients.conf.  Please read
- /usr/share/doc/mandos/README.Debian.gz to find out how.
- .
- (The server has not been started.)

=== removed file 'debian/po/POTFILES.in'
--- debian/po/POTFILES.in	2008-09-21 04:22:50 +0000
+++ debian/po/POTFILES.in	1970-01-01 00:00:00 +0000
@@ -1,2 +0,0 @@
-[type: gettext/rfc822deb] mandos.templates
-[type: gettext/rfc822deb] mandos-client.templates

=== removed file 'debian/po/sv.po'
--- debian/po/sv.po	2008-09-21 04:22:50 +0000
+++ debian/po/sv.po	1970-01-01 00:00:00 +0000
@@ -1,66 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the mandos package.
-# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: 1.0\n"
-"Report-Msgid-Bugs-To: mandos@packages.debian.org\n"
-"POT-Creation-Date: 2008-09-20 23:01+0200\n"
-"PO-Revision-Date: 2008-09-21 06:01+0200\n"
-"Last-Translator: Teddy Hogeborn <teddy@fukt.bsnet.se>\n"
-"Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: note
-#. Description
-#: ../mandos.templates:1001
-msgid "Your system needs more configuration[ mandos]"
-msgstr "Ditt system behöver ytterligare konfigurering"
-
-#. Type: note
-#. Description
-#: ../mandos.templates:1001
-#| msgid ""
-#| "Your system has not yet been completely configured as a Mandos server - "
-#| "you need to setup /etc/mandos/clients.conf. Please read /usr/share/doc/"
-#| "mandos/README.Debian.gz to find out how."
-msgid ""
-"Your system has not yet been completely configured as a Mandos server - "
-"clients need to be added to to /etc/mandos/clients.conf.  Please read /usr/"
-"share/doc/mandos/README.Debian.gz to find out how."
-msgstr ""
-"Ditt system är inte helt inställd som en Mandos-server än -\n"
-"det behövs läggas till klienter i Mandos-serverns\n"
-"inställingar.  Var vänlig läs\n"
-"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
-"veta hur."
-
-#. Type: note
-#. Description
-#: ../mandos.templates:1001
-msgid "(The server has not been started.)"
-msgstr "(Servern har inte startats.)"
-
-#. Type: note
-#. Description
-#: ../mandos-client.templates:1001
-msgid "Your system needs more configuration[ mandos-client]"
-msgstr "Ditt system behöver ytterligare konfigurering"
-
-#. Type: note
-#. Description
-#: ../mandos-client.templates:1001
-msgid ""
-"Your system can not function as a Mandos client until a password for this "
-"client has been added to the configuration on the Mandos server.  Please "
-"read /usr/share/doc/mandos-client/README.Debian.gz to find out how."
-msgstr ""
-"Ditt system kan inte fungera som en Mandos-klient förrän\n"
-"ett krypterat lösenord har lagts till i Mandos-serverns\n"
-"inställingar.  Var vänlig läs\n"
-"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
-"veta hur."

=== modified file 'debian/rules'
--- debian/rules	2008-09-30 18:59:44 +0000
+++ debian/rules	2009-01-04 22:26:07 +0000
@@ -38,7 +38,6 @@
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 	dh_auto_clean
 	dh_clean
-	debconf-updatepo
 
 install: install-indep install-arch
 install-indep:
@@ -66,7 +65,6 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-	dh_installdebconf
 	dh_link
 	dh_strip
 	dh_compress

=== modified file 'mandos'
--- mandos	2009-01-04 21:54:55 +0000
+++ mandos	2009-01-06 02:42:53 +0000
@@ -66,7 +66,7 @@
 import ctypes
 import ctypes.util
 
-version = "1.0.2"
+version = "1.0.3"
 
 logger = logging.Logger('mandos')
 syslogger = (logging.handlers.SysLogHandler

=== modified file 'mandos-keygen'
--- mandos-keygen	2009-01-04 21:54:55 +0000
+++ mandos-keygen	2009-01-06 02:42:53 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.2"
+VERSION="1.0.3"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos.lsm'
--- mandos.lsm	2008-12-10 01:26:02 +0000
+++ mandos.lsm	2009-01-06 02:42:53 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.2
-Entered-date:	2008-10-28
+Version:	1.0.3
+Entered-date:	2009-01-06
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      89K mandos_1.0.2.orig.tar.gz
+	      92K mandos_1.0.3.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		89K mandos_1.0.2.orig.tar.gz
+		92K mandos_1.0.3.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.4, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

